﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Telerik.JustMock;
using JustMockTrial;
using System.Threading;

namespace JustMockTrialTests
{
  /// <summary>
  /// Summary description for UnitTest1
  /// </summary>
  [TestClass]
  public class Tests1
  {
    [TestInitialize]
    public void TestInitialize() 
    {
      Mock.Initialize<SampleClass>();
    }

    [TestCleanup]
    public void TestCleanup ()
    {
    }

    [TestMethod]
    public void SampleClass_GetCurrentMonth_Original_Test()
    {
      Assert.AreEqual(DateTime.Now.Month, SampleClass.GetCurrentMonth());      
    }

    [TestMethod]
    public void SampleClass_GetCurrentMonth_Mocking_Test()
    {
      Mock.SetupStatic<SampleClass>();
      Mock.Arrange(() => SampleClass.GetCurrentMonth()).Returns(-1);

      Assert.AreEqual(-1, SampleClass.GetCurrentMonth());
    }    
  }
}
