﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Telerik.JustMock;
using JustMockTrial;
using System.Threading;
using NUnit.Framework;

namespace JustMockTrialTests
{
    /// <summary>
    /// Summary description for UnitTest1
    /// </summary>
    [TestFixture]
    public class Tests1
    {
        [TestFixtureSetUp]
        public void TestInitialize()
        {
            Mock.Initialize<SampleClass>();
        }

        [Test]
        public void SampleClass_GetCurrentMonth_Original_Test()
        {
            Assert.AreEqual(DateTime.Now.Month, SampleClass.GetCurrentMonth());
        }

        [Test]
        public void SampleClass_GetCurrentMonth_Mocking_Test()
        {
            Mock.SetupStatic<SampleClass>();
            Mock.Arrange(() => SampleClass.GetCurrentMonth()).Returns(-1);

            Assert.AreEqual(-1, SampleClass.GetCurrentMonth());
        }
    }
}
